<div fxLayout="column">
    <div>
        <h1>Buscador de Heroes</h1>
        <mat-divider></mat-divider>
    </div>
    <div fxLayout="column">
        <h3>Buscador</h3>
        <!-- {{termino}} -->
        <mat-form-field class="example-full-width" appearance="fill">
            <mat-label>Ingrese el texto a buscar</mat-label>
            <input #txtTermino type="text"
                   placeholder="Buscar"
                   matInput
                   [(ngModel)] = "termino"
                   [matAutocomplete]="auto"
                   (input)="buscando( $event )">
            <mat-autocomplete autoActiveFirstOption 
                #auto="matAutocomplete"
                (optionSelected)="opcionSeleccionada( $event )">
              <mat-option *ngFor="let heroe of heroes" [value]="heroe">
                {{heroe.superhero}}
              </mat-option>
              <mat-option value="" *ngIf="heroes.length === 0 && termino.trim().length > 0">
                  No se encontró el término {{termino}}
              </mat-option>
            </mat-autocomplete>
          </mat-form-field>
    </div>

    <div>
        <pre>
            {{heroeSeleccionado | json}}
        </pre> 
    </div>
</div>